package com.template.services;

import com.template.model.pojo.SmartMenu;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;

/**
 * <p>
 * 应用管理 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-01-16
 */
public interface SmartMenuService extends IService<SmartMenu> {
    int insertSmartMenu(SmartMenu rns);

    int updateSmartMenu(SmartMenu rns);

    PageUtils<SmartMenu> queryPageSmartMenus(int currentPage, int pageCount, String name);

    int deleteSmartMenuById(int id);

    SmartMenu getSmartById(int id);

    SmartMenu getSmartMenu();

    SmartMenu querySmartMenuByName(String name, String route);
}
